{"openapi":"3.0.4","info":{"title":"AddDecision","description":"Add decision to staged modification, Approve or Reject.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/stagedmodifications/{id}/decision":{"post":{"tags":["StagedModifications"],"summary":"AddDecision","description":"Add decision to staged modification, Approve or Reject.","operationId":"AddDecision","parameters":[{"name":"id","in":"path","description":"Unique Id for a staged modification..","required":true,"schema":{"maxLength":36,"minLength":36,"pattern":"^[a-zA-Z0-9\\-]+$","type":"string"}}],"requestBody":{"description":"The decision on the requested staged modification, \"Approve\" or \"Reject\".","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/StagedModificationDecisionRequest"},"example":{"decision":"Approve","comment":"Looks Good"}},"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/StagedModificationDecisionRequest"},"example":{"decision":"Approve","comment":"Looks Good"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/StagedModificationDecisionRequest"},"example":{"decision":"Approve","comment":"Looks Good"}},"application/*+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/StagedModificationDecisionRequest"},"example":{"decision":"Approve","comment":"Looks Good"}}},"required":true},"responses":{"200":{"description":"The staged modification.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/StagedModification"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/StagedModification"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/StagedModification"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}